Subject: bug#6800: 23.1; EOT / ^D inserted into comint input string

From: Alan Third <[email-masked]>
Date: Fri, 12 Aug 2016 19:43:22 +0100

On Fri, Aug 12, 2016 at 11:40:03AM -0700, David Fox wrote:
> On Fri, Aug 12, 2016 at 11:36 AM, Alan Third <[email-masked]> wrote:
> 
> > Stefan Monnier <[email-masked]> writes:
> >
> > >> When an input longer than 255 characters is typed into comint (or
> > >> shell) an EOT character (ascii 4, ^D) is inserted into the string.
> > >> This can cause an error depending how the sub process handles these
> > >> extra characters.  For example, GHC doesn't like it when an EOT
> > >> appears inside of a string:
> > >
> > > I believe this bug is fixed on the Emacs trunk (to become Emacs-24), but
> > > the fix may introduce other problems.  Apparently nobody knows how to
> > > fix it right and there is about as much as no documentation at all on
> > > this part of the behavior of ttys.
> >
> > IIRC this code is no longer in Emacs. I'll close this bug.
> >
> >
> 
> I do know that commands longer than 4096 characters are truncated in emacs
> 24.3.1

I just looked at bug#7078 which talks about that. Perhaps these two
should be merged.

-- 
Alan Third